/*
 *  Copyright (c) 2009 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "Version.h"


namespace GTLCore {
  String LibraryShortName() { return "OpenGTL Core"; }
  String LibraryName() { return "Open Graphics Transformation Languages Core"; }
  String LibraryCopyright() { return "Copyright (c) 2007,2008,2009,2010 Cyrille Berger (cberger@cberger.net)"; }
  String LibraryLicence() { return "GNU Lesser General Public License Version 2, or later"; }
  String LibraryVersionString() { return String::number( GTL_CORE_VERSION_MAJOR ) + "." + String::number( GTL_CORE_VERSION_MINOR ) + "." + String::number( GTL_CORE_VERSION_REVISION ); }
  int LibraryVersionMajor()
  {
      return GTL_CORE_VERSION_MAJOR;
  }
  int LibraryVersionMinor()
  {
      return GTL_CORE_VERSION_MINOR;
  }
  int LibraryVersionRevision()
  {
      return GTL_CORE_VERSION_REVISION;
  }
}

